import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';
import { ExpandableFaqVariation } from './expandable-faq-variation.enum';
import { ExpandableFaqHeadingLevel } from './expandable-faq-heading-level.enum';
import { ExpandableFaqItemHeadingLevel } from '../expandable-faq-item/expandable-faq-item-heading-level.enum';

<Meta title="expandable/digi-expandable-faq" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the base component for building up a collapsed panel. Build up the collapsed panel items with digi-expandable-faq-item components.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-typography>
        <digi-expandable-faq af-heading="FAQ list title">
          <digi-expandable-faq-item af-heading="Expandable FAQ header1">
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 2">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 3">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 4">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
        </digi-expandable-faq>
      </digi-typography>
    `}
  </Story>
</Canvas>

## Variations

The component exists in a few different variations. Typescript users should import and use ExpandableFaqHeadingVariation to set variation.

### Primary

Primary collapsed panel have a green background. This is the default behavior, so it is the same as the standard version.

<Canvas>
  <Story name="primary">
  /* html */
    {`
      <digi-typography>
        <digi-expandable-faq af-heading="FAQ list title" af-variation="${ExpandableFaqVariation.PRIMARY}" >
          <digi-expandable-faq-item af-heading="Expandable FAQ header1">
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 2">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 3">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 4">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
        </digi-expandable-faq>
      </digi-typography>
    `}
  </Story>
</Canvas>

### Secondary

Secondary collapsed panel have a gray background. This is the default behavior, so it is the same as the standard version.

<Canvas>
  <Story name="secondary">
    /* html */
    {`
    <digi-typography>
        <digi-expandable-faq af-heading="FAQ list title"  af-variation="${ExpandableFaqVariation.SECONDARY}">
          <digi-expandable-faq-item af-heading="Expandable FAQ header1">
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 2">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 3">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
          <digi-expandable-faq-item af-heading="Expandable FAQ header 4">
            <p>FAQ content</p>
            <p>FAQ content</p>
          </digi-expandable-faq-item>
        </digi-expandable-faq>
      </digi-typography>
    `}
  </Story>
</Canvas>
